
QGIS Application - Feature request #6237

Show feature count in composer legend

2012-08-22 01:29 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: Copied to github as #: 15545

Description

Title says it all.  

If #3402 is closed before, it would be nice to have total feature count for layer too.

Subtasks:

Bug report # 14272: QDialogProgress used in QgsVectorLayer::countSymbolFeatures Closed

Associated revisions

Revision 038acbc7 - 2012-11-06 05:58 PM - Radim Blazek

vector feature counts moved to vector layer, enabled feature counts in composer legend, fixes #6237

History

#1 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2012-11-06 09:10 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"038acbc76083dae3fd29795b9e73d97cd92c3d3a".

#3 - 2012-11-06 09:17 AM - Radim Blazek

- Resolution set to fixed

- File counts-composer.png added

A new tool button which can switch on/off feature counts in composer legend for selected vector layer was added in Composer > (Legend) Item Properties

> Legend Items (see snapshot).

Work done by Faunalia for Agence de l'eau Adour Garonne.
